# Uses of Interface
org.eclipse.emf.cdo.spi.common.revision.InternalCDORevisionManager

Packages that use InternalCDORevisionManager
Package
Description
org.eclipse.emf.cdo.spi.common.revision
Common service provider interfaces and useful base implementations for dealing with revisions and deltas.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of InternalCDORevisionManager in org.eclipse.emf.cdo.spi.common.revision

Classes in org.eclipse.emf.cdo.spi.common.revision that implement InternalCDORevisionManager
Modifier and Type
Class
Description
`class`
`DelegatingCDORevisionManager`
If the meaning of this type isn't clear, there really should be more of a description here...
Fields in org.eclipse.emf.cdo.spi.common.revision declared as InternalCDORevisionManager
Modifier and Type
Field
Description
`protected final InternalCDORevisionManager`
ManagedRevisionProvider.`revisionManager`
Methods in org.eclipse.emf.cdo.spi.common.revision that return InternalCDORevisionManager
Modifier and Type
Method
Description
`protected abstract InternalCDORevisionManager`
DelegatingCDORevisionManager.`getDelegate()`
Methods in org.eclipse.emf.cdo.spi.common.revision with parameters of type InternalCDORevisionManager
Modifier and Type
Method
Description
`void`
RevisionInfo.`execute(InternalCDORevisionManager revisionManager, int referenceChunk)`
`void`
RevisionInfo.Available.Detached.`processResult(InternalCDORevisionManager revisionManager, List<CDORevision> results, SyntheticCDORevision[] synthetics, int i)`
`void`
RevisionInfo.Available.Normal.`processResult(InternalCDORevisionManager revisionManager, List<CDORevision> results, SyntheticCDORevision[] synthetics, int i)`
`void`
RevisionInfo.Available.Pointer.`processResult(InternalCDORevisionManager revisionManager, List<CDORevision> results, SyntheticCDORevision[] synthetics, int i)`
`void`
RevisionInfo.`processResult(InternalCDORevisionManager revisionManager, List<CDORevision> results, SyntheticCDORevision[] synthetics, int i)`

## Uses of InternalCDORevisionManager in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server that return InternalCDORevisionManager
Modifier and Type
Method
Description
`InternalCDORevisionManager`
InternalRepository.`getRevisionManager()`
Methods in org.eclipse.emf.cdo.spi.server with parameters of type InternalCDORevisionManager
Modifier and Type
Method
Description
`void`
InternalRepository.`setRevisionManager(InternalCDORevisionManager revisionManager)`

## Uses of InternalCDORevisionManager in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return InternalCDORevisionManager
Modifier and Type
Method
Description
`InternalCDORevisionManager`
InternalCDOSession.`getRevisionManager()`
Methods in org.eclipse.emf.spi.cdo with parameters of type InternalCDORevisionManager
Modifier and Type
Method
Description
`void`
InternalCDOSession.`setRevisionManager(InternalCDORevisionManager revisionManager)`